import { r as registerInstance, h } from './index-2f723ace.js';

const supplyDisplayCss = ":host{display:block;grid-area:supply}";

const SupplyDisplay = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h("div", { id: "supply-counter" }, h("span", null, this.totalSupply), "/", h("span", null, this.maxSupply), h("span", null, "(", this.personalSupply, " left to mint)")));
  }
};
SupplyDisplay.style = supplyDisplayCss;

export { SupplyDisplay as supply_display };
