import { EventEmitter } from '../../stencil-public-runtime';
import { Block, ContractType } from '../../block';
export declare class StructCore {
  contractAddress: string;
  testnet: boolean;
  type: ContractType;
  walletBtnText: string;
  mintBtnText: string;
  soldOutText: string;
  loading: boolean;
  block: Block;
  soldOut: boolean;
  selectedAmount: number;
  minted: EventEmitter<number>;
  connectedCallback(): void;
  selectAmountChanged(event: CustomEvent<number>): void;
  updateTotalSupply(event: CustomEvent<number>): void;
  render(): any;
  mint: () => Promise<void>;
  initiateWallet: () => Promise<void>;
}
